.convert-control-section-header {
  background: #fff;
  padding: 10px 12px;
  margin: 0 -15px 0;
  border-radius: 3px;
  border-left: solid 3px #0073aa;
  box-shadow: 0 2px 0 rgba(0, 0, 0, 0.05);
}

.convert-control-section-header-label {
  margin: 0;
}

.convert-control-section-header-description {
  margin: 5px 0 0;
}

.convert-control-range-wrap {
  position: relative;
}

.convert-control-range {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

.convert-control-range .convert-control-range-input[type="number"] {
  -webkit-box-flex: 0;
  -ms-flex: none;
  flex: none;
  width: 60px;
  margin-left: auto;
}

.convert-control-range .convert-control-range-slider {
  margin-right: 15px;
  -webkit-box-flex: 1;
  -ms-flex: auto;
  flex: auto;
}

.convert-control-range input[type="range"] {
  -webkit-appearance: none;
  -webkit-transition: background 0.3s;
  transition: background 0.3s;
  background-color: rgba(0, 0, 0, 0.1);
  height: 5px;
  padding: 0;
  width: 100%;
  cursor: pointer;
}

.convert-control-range input[type="range"]::-webkit-slider-runnable-track {
  border: inherit;
  color: transparent;
  background: transparent;
}

.convert-control-range input[type="range"]::-moz-range-track {
  border: inherit;
  color: transparent;
  background: transparent;
}

.convert-control-range input[type="range"]::-ms-track {
  border: inherit;
  color: transparent;
  background: transparent;
}

.convert-control-range input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background-color: #3498D9;
  border: 0;
}

.convert-control-range input[type="range"]::-moz-range-thumb {
  -webkit-appearance: none;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background-color: #3498D9;
  border: 0;
}

.convert-control-range input[type="range"]::-ms-track {
  -webkit-appearance: none;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background-color: #3498D9;
  border: 0;
}

.convert-control-range input[type="range"]::-ms-fill-lower {
  background: transparent;
}

.convert-control-range input[type="range"]::-ms-fill-upper {
  background: transparent;
}

.convert-control-range input[type="range"]::-ms-tooltip {
  display: none;
}

.convert-control-range input[type="range"]:focus {
  outline: 0;
  box-shadow: none;
}

.customize-control-convert-color .wp-color-result span {
  background: #f7f7f7;
}

.customize-control-convert-color .wp-color-result span.color-alpha {
  height: 100% !important;
}

.customize-control-convert-color .wp-color-result-text {
  height: 100%;
}

.customize-control-convert-color .wp-picker-container input[type=text].wp-color-picker {
  width: 90px !important;
  line-height: 17px;
}

.customize-control-convert-color .wp-picker-input-wrap .wp-picker-clear {
  margin-left: 6px;
}

.customize-control-convert-color .button.wp-color-result {
  padding: 0 0 0 30px;
}

.customize-control-convert-color .wp-picker-active .button.wp-color-result {
  margin: 0 10px 15px 0px;
}

.customize-control-convert-color .wp-color-result-text {
  border-radius: 0 2px 2px 0;
  border-left: 1px solid #ccc;
  padding: 0 6px;
  text-align: center;
  display: block;
}

.customize-control-convert-color .wp-picker-active + .wp-picker-input-wrap {
  display: inline-block;
  vertical-align: top;
}

.customize-control-convert-color .iris-mozilla .iris-picker-inner {
  right: 9px !important;
}

.customize-control-convert-typography {
  margin-bottom: 25px;
}

.convert-typography-control-wrap {
  position: relative;
  margin-bottom: 12px;
}

.convert-typography-control-split {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin: 0 -3px 12px;
}

.convert-typography-control-split .convert-typography-control-wrap {
  width: 50%;
  margin: 0 3px;
}

body .select2-container {
  z-index: 1000000;
}

.customize-control .select2-container {
  z-index: 1;
}

.customize-control .select2-container .select2-selection--single {
  height: 32px;
}

.customize-control .select2-container--default .select2-selection--single {
  height: 32px;
  border-color: #ddd;
  border-radius: 4px;
  font-size: 14px;
}

.customize-control .select2-container--default .select2-selection--single .select2-selection__rendered {
  color: #32373c;
  line-height: 30px;
}

.customize-control .select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 30px;
}

.customize-control .select2-container--default .select2-results__option--highlighted[aria-selected] {
  background-color: #0073aa;
}

.customize-control .select2-search--dropdown .select2-search__field {
  border-color: #ddd;
  border-radius: 4px;
}

.convert-spacing-control-wrap {
  position: relative;
}

.convert-spacing-control-group-wrap {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: nowrap;
  flex-wrap: nowrap;
  margin: 0 -2px;
  -webkit-box-align: end;
  -ms-flex-align: end;
  align-items: flex-end;
}

.convert-spacing-control-group {
  padding: 0 2px;
  max-width: 25%;
  -webkit-box-flex: 1;
  -ms-flex: 1;
  flex: 1;
}

.button-link-spacing .dashicons {
  position: relative;
  top: 3px;
}

.convert-spacing-control-wrap.mode-top-bottom .input-left,
.convert-spacing-control-wrap.mode-top-bottom .input-right {
  display: none;
}

.convert-spacing-control-wrap.mode-left-right .input-top,
.convert-spacing-control-wrap.mode-left-right .input-bottom {
  display: none;
}

.convert-image-bg-control-wrap {
  position: relative;
}

.convert-image-bg-attachment-view {
  display: none;
}

.convert-image-bg-control-thumbnail {
  padding: 5px;
  border: 1px dashed #028ec2;
  box-sizing: border-box;
  max-width: 100%;
  cursor: pointer;
  line-height: 0;
}

.convert-image-bg-control-thumbnail img {
  max-width: 100%;
}

.convert-image-bg-control-placeholder {
  border: 1px dashed #b4b9be;
  box-sizing: border-box;
  cursor: pointer;
  line-height: 20px;
  padding: 9px 0;
  position: relative;
  text-align: center;
  width: 100%;
}

.convert-image-bg-control-group-grid {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin: 10px -2px 0;
  -webkit-box-align: end;
  -ms-flex-align: end;
  align-items: flex-end;
}

.convert-image-bg-control-group-grid .convert-image-bg-control-group {
  padding: 0 2px;
  width: 48%;
}

.convert-image-bg-control-group-grid .convert-image-bg-control-group input[type="checkbox"] {
  margin-bottom: 5px;
  margin-right: 5px;
}

.convert-image-bg-control-group-grid .convert-image-bg-control-group input[type="checkbox"] + label {
  margin-bottom: 9px;
}

.convert-control-notice {
  background: #fff;
  padding: 10px 12px;
  margin: 0 -15px 0;
  border-radius: 3px;
  border-left: solid 3px #1f8ec2;
  box-shadow: 0 2px 0 rgba(0, 0, 0, 0.05);
}

.convert-control-notice.convert-control-notice-info {
  border-left: 10px solid #1f8ec2;
}

.convert-control-notice.convert-control-notice-warning {
  border-left: 10px solid #fcb901;
}

.convert-control-notice.convert-control-notice-error {
  border-left: 10px solid red;
}

.convert-control-notice-label {
  margin: 0 0 5px;
}

.convert-control-notice-description {
  margin: 0;
}

.convert-responsive-controls-tablet,
.convert-responsive-controls-mobile {
  display: none;
}

.button-group-devices {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  position: absolute;
  top: 0;
  right: 0;
}

.button-group-devices button {
  cursor: pointer;
  background: 0 0;
  border: none;
  height: 26px;
  padding: 0 1px;
  margin: 0;
  box-shadow: none;
  border: 0;
}

.button-group-devices button:focus,
.button-group-devices button:active {
  box-shadow: none;
}

.button-group-devices button::before {
  display: inline-block;
  -webkit-font-smoothing: antialiased;
  font: normal 15px/17px dashicons;
  vertical-align: top;
  margin: 0 0;
  padding: 2px 4px;
  color: #656a6f;
}

.button-group-devices .active::before {
  color: #3498d8;
}

.button-group-devices .preview-desktop::before {
  content: "\f472";
}

.button-group-devices .preview-tablet::before {
  content: "\f471";
}

.button-group-devices .preview-mobile::before {
  content: "\f470";
}

@media (max-width: 782px) {
  .customize-control-convert-color .wp-picker-container .wp-color-result.button {
    padding-left: 30px;
  }

  .customize-control-convert-color .wp-picker-clear {
    margin-left: 6px !important;
  }
}